## sonnet 5.56.0

=== debian/changelog ===
sonnet (5.56.0-0ubuntu1) disco; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:39:06 +0000

sonnet (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:34 +0000

sonnet (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:39 +0000

sonnet (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:12 +0000

sonnet (5.52.0-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest hunspell

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Nov 2018 06:02:30 -0500

sonnet (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:34 +0000
