=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	export XDG_RUNTIME_DIR="$$(mktemp -d)"; \
	 xvfb-run -a dh_auto_test; \
	 rm -rf "$$XDG_RUNTIME_DIR"

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5sonnet5-dbg (<= 5.19.0-1~~)'
