## sonnet 5.74.0

=== debian/changelog ===
sonnet (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:27 +0100

sonnet (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:58 +0100

sonnet (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:32 +0100

sonnet (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:59 +0100

sonnet (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable/ Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Mon, 01 Jun 2020 19:31:51 +0100

sonnet (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.
  * Use the ${shlibs:Depends} substvar in libkf5sonnet-dev, as it contains
    a binary now.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:46 +0200

sonnet (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:42 +0100

sonnet (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols files.
  * Remove missing file trigrams.map from sonnet-plugins.install.
  * Update symbols from build for 5.69.0.
  * Use secure uri for watch file.
  * Remove duplicate section field for libkf5sonnetcore5.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:56:14 +0200
