=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: aspell,
-               cmake (>= 3.0~),
-               debhelper (>= 11~),
+               cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                hspell,
                libaspell-dev,
@@ -16,24 +16,25 @@
                libvoikko-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
                zlib1g-dev,
-Standards-Version: 4.1.4
-Homepage: http://projects.kde.org/sonnet
+Standards-Version: 4.5.0
+Homepage: https://projects.kde.org/sonnet
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
+Rules-Requires-Root: no
 
 Package: libkf5sonnet-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
          libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5sonnet-doc (= ${source:Version})
@@ -44,11 +45,12 @@
  .
  This package contains development files for building software that uses
  libraries from the Sonnet framework.
+Breaks: libkf5khtml-dev (<< 5.54), libkf5textwidgets-dev (<< 5.54)
 
 Package: libkf5sonnet-dev-bin
+Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5sonnet-dev (<< 5.27.0)
 Replaces: libkf5sonnet-dev (<< 5.27.0)
@@ -62,7 +64,6 @@
 Package: libkf5sonnet-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: spell checking library for Qt (documentation)
  Sonnet is a Qt based library that offers easy access to spell
@@ -70,6 +71,7 @@
  Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5sonnet5-data
 Architecture: all
@@ -85,35 +87,24 @@
 Package: libkf5sonnetcore5
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: libkf5sonnet5-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: sonnet-plugins (= ${binary:Version})
-Breaks: kdesignerplugin (<< 5.42)
 Description: spell checking library for Qt, core lib
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
  Frameworks 5.
+Breaks: kdesignerplugin (<< 5.42),
+        libkf5khtml5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54)
 
 Package: libkf5sonnetui5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: sonnet-plugins (= ${binary:Version})
-Breaks: kio (<< 5.42),
-        kross (<< 5.42),
-        ktexteditor-katepart (<< 5.42),
-        libkf5kdelibs4support5 (<< 5.42),
-        libkf5kdelibs4support5-bin (<< 5.42),
-        libkf5khtml-bin (<< 5.42),
-        libkf5krossui5 (<< 5.42),
-        libkf5mediaplayer5 (<< 5.42),
-        libkf5newstuff5 (<< 5.42),
-        libkf5parts-plugins (<< 5.42),
-        libkf5parts5 (<< 5.42),
-        libkf5webkit5 (<< 5.42),
-        libkf5xmlgui5 (<< 5.42),
 Description: spell checking library for Qt, ui lib
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -121,10 +112,27 @@
  .
  This package provides Qt based GUI elements that can be used
  by projects to construct spell checking user interfaces.
+Breaks: kdesignerplugin (<< 5.54),
+        kio (<< 5.42),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5khtml5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.42),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui5 (<< 5.42)
 
 Package: sonnet-plugins
+Section: kde
 Architecture: any
-Section: kde
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hspell
 Description: spell checking library for Qt, plugins
