=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	export XDG_RUNTIME_DIR="$$(mktemp -d)"; \
	 xvfb-run -a dh_auto_test; \
	 rm -rf "$$XDG_RUNTIME_DIR"
