## sonnet 5.77.0

=== debian/changelog ===
sonnet (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

sonnet (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:57 +0900

sonnet (5.74.0-3) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Add patch to fix FTCBFS: cross.patch (Closes: #972800)

  [ Sandro Knauß ]
  * Set Multi-Arch:same for libkf5sonnet-dev and sonnet-plugins.

 -- Sandro Knauß <hefee@debian.org>  Mon, 26 Oct 2020 22:31:06 +0100

sonnet (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #919772)
    + Tell cmake where to find a native parsetrigrams.
    + Add libkf5sonnet-dev-bin to cross Build-Depends for parsetrigrams.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:13:27 +0200

sonnet (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update libkf5sonnet5-data.install.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:52 +0200
