=== debian/control ===
--- 
+++ 
@@ -1,40 +1,43 @@
 Source: sonnet
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: aspell,
                cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.77.0~),
                graphviz,
                hspell,
                libaspell-dev,
                libhunspell-dev,
+               libkf5sonnet-dev-bin <cross>,
                libqt5sql5-sqlite,
                libvoikko-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.13.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
                zlib1g-dev,
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/sonnet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/sonnet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sonnet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sonnet.git
 Rules-Requires-Root: no
 
 Package: libkf5sonnet-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
          libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5sonnet-doc (= ${source:Version})
@@ -89,7 +92,7 @@
 Multi-Arch: same
 Depends: libkf5sonnet5-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: sonnet-plugins (= ${binary:Version})
 Description: spell checking library for Qt, core lib
  Sonnet is a Qt based library that offers easy access to spell
@@ -98,7 +101,7 @@
 Breaks: kdesignerplugin (<< 5.42),
         libkf5khtml5 (<< 5.54),
         libkf5texteditor5 (<< 5.54),
-        libkf5textwidgets5 (<< 5.54)
+        libkf5textwidgets5 (<< 5.54),
 
 Package: libkf5sonnetui5
 Architecture: any
@@ -128,11 +131,12 @@
         libkf5texteditor5 (<< 5.54),
         libkf5textwidgets5 (<< 5.54),
         libkf5webkit5 (<< 5.42),
-        libkf5xmlgui5 (<< 5.42)
+        libkf5xmlgui5 (<< 5.42),
 
 Package: sonnet-plugins
 Section: kde
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hspell
 Description: spell checking library for Qt, plugins
